Bug 1509065 - [RFE] webadmin search bar should be bookmarkable in the browser
Summary: [RFE] webadmin search bar should be bookmarkable in the browser
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.2.2
: ---
Assignee: Alexander Wels
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-02 20:41 UTC by Greg Sheremeta
Modified: 2018-06-12 04:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Whenever you select a detail view in the application, the browser URL is now updated to match the selected entity. For instance, if you have a VM named MyVM and you click on the name to see the details, the URL of the browser changes to #vms-general;name=MyVM. If you switch to the network interfaces tab, the URL in your browser switches to #vms-network_interfaces;name=MyVM. Changing entity or changing location keeps the browser URL synchronized. This allows you to use your browsers bookmark functionality to store a link to that VM. As a complementary functionality, you can pass arguments to places to execute some functionality based on the type of argument you have passed in. The following types are available: SEARCH: for main views only - this allows you to pre-populate the search string used in the search bar. NAME: most entities are uniquely named and you can use their name in a detail view to go directly to that named entity. DATACENTER: quota and networks are not uniquely named, but are unique combined with their associated data center. To link directly to either, you need to specify NAME and DATACENTER. NETWORK: VNIC profiles are not uniquely named, but need both DATACENTER and NETWORK to be specified to directly link to it. If you are not already logged in, you are redirected to the SSO login page and then back to the desired place in the application. This allows external applications to directly link to entities in web admin UI.
Clone Of:
Environment:
Last Closed: 2018-03-29 11:18:46 UTC
oVirt Team: UX
rule-engine: ovirt-4.2+
pnovotny: testing_plan_complete?
mgoldboi: planning_ack+
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 86496 master MERGED webadmin: URLs follow application state 2018-01-18 16:10:52 UTC

Description Greg Sheremeta 2017-11-02 20:41:06 UTC
[RFE] The webadmin search bar content should be bookmarkable in the browser

When a search is entered, or a user manually navigates to an entity and thus updates the search bar, the URL should be reflected and synchronized [with either a #place or ?parameter of some kind]. This will allow re-accessing that URL from a browser bookmark (or copy/paste), and would then auto-navigate the user back to that exact entity, even if user is logged out when initiating the request.

Also consider the current "bookmarks" functionality in webadmin (not the browser bookmarks I am talking about above) when working on this feature. There may be a redundancy.

Version-Release number of selected component (if applicable):
4.2

Comment 1 Tomas Jelinek 2018-01-10 07:42:55 UTC
even though it is an RFE it does bring lots of value so keeping in z stream.

Comment 2 Raz Tamir 2018-01-25 14:27:09 UTC
Comment from Greg:
this feature will allow you to use browser
bookmarks to save your current location in the application and return to it
later. Basically, the current entity and place are synchronized into the URL
bar of your browser, which together with some previous infrastructure allows
you to use your browser's bookmark to go directly to an entity from being
logged out. The same is true for search queries on main views.

Comment 3 Greg Sheremeta 2018-03-07 15:52:58 UTC
blog post by Alexander
https://www.ovirt.org/blog/2018/01/ovirt-admin-bookmarks/

Comment 4 Greg Sheremeta 2018-03-07 15:58:17 UTC
What the status of verifying this one? Thanks

Comment 5 Pavol Brilla 2018-03-07 16:53:01 UTC
Software Version:4.2.2.1-0.1.el7

Verified on vms, storage, datacenter searches, as well as on details of some items ( link to specific VM, host, SD )

Comment 6 Pavol Brilla 2018-03-07 16:53:17 UTC
Software Version:4.2.2.1-0.1.el7

Verified on vms, storage, datacenter searches, as well as on details of some items ( link to specific VM, host, SD )

Comment 7 Sandro Bonazzola 2018-03-29 11:18:46 UTC
This bugzilla is included in oVirt 4.2.2 release, published on March 28th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.2 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.